server:
  port: 9933
  undertow:
    threads:
      # io线程数，主要执行费阻塞的任务
      io: 8
      # 阻塞任务线程池
      worker: 50
    # 每块buffer的空间大小，越小的空间被利用越充分
    buffer-size: 1024
    # 是否分配的直接内存
    direct-buffers: true
  error:
    include-binding-errors: on_param
    include-stacktrace: on_param

# 日志配置
logging:
  level:
    com.smppw.modaq.domain.mapper: info
  config: classpath:logback.xml

spring:
  application:
    name: mo-daq
  datasource:
    # 指定为HikariDataSource
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://120.78.215.178:3306/rz_market_operate_ppwfund?allowMultiQueries=true&useSSL=false&rewriteBatchedStatements=true&zeroDateTimeBehavior=convertToNull
    username: ai_dept_qiuruifeng
    password: mx9ArjZIi2I8PubHK
    # hikari连接池配置 对应 HikariConfig 配置属性类
    hikari:
      pool-name: HikariCP-daq
      # 连接池最大连接数，默认是10
      maximum-pool-size: 10
      # 此属性控制从池返回的连接的默认自动提交行为,默认值：true
      auto-commit: true
      # 此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认30分钟
      max-lifetime: 900000
      # 数据库连接超时时间,设置为300秒超时
      connection-timeout: 300000
      # keepalive time
      keepalive-time: 60000
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: Asia/Shanghai

email:
  file:
    path: /home/wwwroot/mo_report_file
  report:
    # ai解析远程地址
    ai-parser-url: http://localhost:8088/upload-filepath
    # ocr文字识别接口地址
    ocr-parser-url: http://localhost:8088/parse-img
  # 读写 seen 标记
  read-write-seen: false